Share feedback
Answers are generated based on the documentation.

Get user's namespaces

GET/namespaces
Get metadata associated with the namespaces the user has access to, including extra repos associated with the namespaces.

Connection and access

API connection and authentication guidance

https://hub.docker.com/api/publisher/analytics/v1

Use one of these alternatives. Requirements within an alternative apply together.

  • HubAuth

Parameters

No parameters are declared.

Request and responses

Response 200

Success

application/json

Type: array

Array item

Schema: NamespaceMetadata

All schema constraints and annotations
{
  "items": {
    "$ref": "#/components/schemas/NamespaceMetadata"
  },
  "type": "array"
}

publishers

[
  {
    "datasets": [
      {
        "name": "pulls",
        "timespans": [
          "months",
          "weeks"
        ],
        "views": [
          "raw",
          "summary",
          "repo-summary",
          "namespace-summary",
          "geo-repo-summary"
        ]
      }
    ],
    "extensionPublisher": false,
    "extraRepos": null,
    "namespace": "org1",
    "publisherType": "DVP"
  }
]

Response 401

Authentication failed or second factor required

No response content is declared.

Referenced schemas

#/components/schemas/NamespaceMetadata

Complete operation contract
{
  "description": "Get metadata associated with the namespaces the user has access to, including extra repos associated with the namespaces.",
  "operationId": "getUserNamespaces",
  "responses": {
    "200": {
      "content": {
        "application/json": {
          "examples": {
            "publishers": {
              "summary": "Namespace metadata",
              "value": [
                {
                  "datasets": [
                    {
                      "name": "pulls",
                      "timespans": [
                        "months",
                        "weeks"
                      ],
                      "views": [
                        "raw",
                        "summary",
                        "repo-summary",
                        "namespace-summary",
                        "geo-repo-summary"
                      ]
                    }
                  ],
                  "extensionPublisher": false,
                  "extraRepos": null,
                  "namespace": "org1",
                  "publisherType": "DVP"
                }
              ]
            }
          },
          "schema": {
            "items": {
              "$ref": "#/components/schemas/NamespaceMetadata"
            },
            "type": "array"
          }
        }
      },
      "description": "Success"
    },
    "401": {
      "description": "Authentication failed or second factor required"
    }
  },
  "summary": "Get user's namespaces",
  "tags": [
    "discovery"
  ]
}